# $Revision: 1.15 $, $Date: 2005/12/06 13:23:29 $
Summary:	A flexible log file rotation program for Apache
Summary(pl):	Program do elastycznej rotacji logw serwera Apache
Name:		cronolog
Version:	1.6.2
Release:	4
License:	Apache license
Group:		Networking/Daemons
Source0:	http://www.cronolog.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a44564fd5a5b061a5691b9a837d04979
Patch0:		http://cronolog.org/patches/%{name}-jumbo-patch.txt
URL:		http://www.cronolog.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"cronolog" is a simple program that reads log messages from its input
and writes them to a set of output files, the names of which are
constructed using template and the current date and time. The template
uses the same format specifiers as the Unix date command (which are
the same as the standard C strftime library function).

%description -l pl
"cronolog" jest prostym programem czytajcym logi i zapisujcym je do
plikw wyjciowych, ktrych nazwy mona tworzy uywajc szablonu oraz
biecego czasu i daty. Szablony korzystaj z tego samego formatu co
polecenie date systemu Unix (ktry jest taki sam jak dla standardowej
funkcji C strftime). Dziki uyciu mechanizmu "piped logs", program
ten moe by stosowany do rotacji logw, ktra nie wymaga
restartowania serwera Apache.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS TODO
%attr(755,root,root) %{_sbindir}/cronolog
%attr(755,root,root) %{_sbindir}/cronosplit
%{_mandir}/man1/*.1*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cronolog.spec,v $
Revision 1.15  2005/12/06 13:23:29  glen
- rel 4

Revision 1.14  2005/12/06 13:14:10  glen
- rel 3

Revision 1.13  2005/12/06 12:12:32  glen
- add jumbo patch (includes LFS fix); rel 2

Revision 1.12  2004/10/31 20:37:52  qboosh
- simplified prep

Revision 1.11  2004/10/31 20:37:23  qboosh
- wrrr, don't package info.dir

Revision 1.10  2004/10/31 19:13:19  darekr
- missing file
- more files in %doc

Revision 1.9  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.8  2003/08/06 16:51:29  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/06/16 14:51:53  ankry
- fixed URLs and md5

Revision 1.6  2003/05/28 13:55:40  malekith
- use %{version}, not %version

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/31 13:32:27  qboosh
- use configure macro and DESTDIR-style install; added info page

Revision 1.2  2003/03/27 22:05:16  qboosh
- some cleanups

Revision 1.1  2003/03/17 00:04:54  mguevara
- initial release - STBR
- cronolog - tool for rotating Apache logs without sending HUP signal;
  more advanced than rotatelogs from the Apache distribution.
